﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ModbusDemo.application;
using ModbusDemo.MessageFormat;
namespace ModbusDemo.application
{
#if  DEBUG_TEST
   public class ControlMap
    {
       public delegate  bool bDelege_Handle(bool[] bControlData);
       public static bDelege_Handle bDelege_Operation;
       public static byte           byMapIdleID;    
       public static bool[]         byMapIdleControlData;
       public static string[]       strMapIdleChannelName;
       public static bool bMap_Idle_Open_Control(bool[] bControldata)
       {
            bool[] bControlBit = new bool[bControldata.Count()];
            bool bStatus;
            bool bHadOperation;
            for (int i = 0; i < bControldata.Count(); i++)
            {
                string str = "d" + i.ToString();
                for (int j = 0; j < strMapIdleChannelName.Count(); j++)
                {
                    if (str == strMapIdleChannelName[j])
                    {
                        bControlBit[i]  = true;
                        bControldata[i] = byMapIdleControlData[i];
                    }
                }
            }
            bStatus = ModualControl.bOperation_Machine(true, byMapIdleID, bControldata, bControlBit,out bHadOperation, 0, null);
            return bStatus;
       }
        public static bool bMap_Idle_Close_Control(bool[] bControldata)
        {
            bool[] bControlBit = new bool[bControldata.Count()];
            bool bStatus;
            bool bHadOperation;
            for (int i = 0; i < bControldata.Count(); i++)
            {
                string str = "d" + i.ToString();
                for (int j = 0; j < strMapIdleChannelName.Count(); j++)
                {
                    if (str == strMapIdleChannelName[j])
                    {
                        bControlBit[i] =  true;
                        bControldata[i] = byMapIdleControlData[i];
                    }
                }
            }
            bStatus = ModualControl.bOperation_Machine(true, byMapIdleID, bControldata, bControlBit,out bHadOperation, 0, null);
            return bStatus;
        }
        public static bool bControl_Map(bool bOpen, byte byControlID,bool[] bControlData, params string[] strOperationChannelName)
        {
            bool bMapStatus = true;
            if (bOpen == true)
            {
                #region 东中转池开映射
                if (byControlID == 16 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cSouthWater.bOpen_Machine;
                }
                else if (byControlID == 16 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cNorthWater.bOpen_Machine;
                }
                else if (byControlID == 39 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cPumb1.bOpen_Machine;
                }
                else if (byControlID == 39 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cPumb2.bOpen_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cStirrer1.bOpen_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d1")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cStirrer2.bOpen_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cStirrer3.bOpen_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d3")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cStirrer4.bOpen_Machine;
                }
                #endregion 
                #region 西中转池开映射
                else if (byControlID == 35 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cWestTransitPool.cSouthWater.bOpen_Machine;
                }
                else if (byControlID == 35 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cWestTransitPool.cNorthWater.bOpen_Machine;
                }
                else if (byControlID == 31 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cWestTransitPool.cPumb1.bOpen_Machine;
                }
                else if (byControlID == 31 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cWestTransitPool.cPumb1.bOpen_Machine;
                }
                #endregion
                #region 沉砂池开映射
                else if (byControlID == 90 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.cStirrer1.bOpen_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d5")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.cStirrer2.bOpen_Machine;
                }
                else if (byControlID == 39 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.cPumb1.bOpen_Machine;
                }
                else if (byControlID == 39 && strOperationChannelName[0] == "d5")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.cPumb2.bOpen_Machine;
                }
                #endregion
                #region 出料池开映射
                #endregion
                #region 匀浆池开映射
                else if (byControlID == 31 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cSlurryPool.cPumb1.bOpen_Machine;
                }
                else if (byControlID == 31 && strOperationChannelName[0] == "d1")
                {
                    bDelege_Operation = AllPond.cSlurryPool.cStirrer1.bOpen_Machine;
                }
                #endregion
                #region 八角池开映射
                #endregion
                #region 中控柜开映射和暂停映射
                #endregion                
                else
                { 
                    byMapIdleID              = byControlID;
                    strMapIdleChannelName    = strOperationChannelName;
                    byMapIdleControlData     = bControlData;
                    bDelege_Operation        = bMap_Idle_Open_Control;
                }
            }
            else
            {
                #region 东中转池关映射
                if (byControlID == 16 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cSouthWater.bClose_Machine;
                }
                else if (byControlID == 16 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cNorthWater.bClose_Machine;
                }
                else if (byControlID == 39 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cPumb1.bClose_Machine;
                }
                else if (byControlID == 39 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cPumb2.bClose_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cStirrer1.bClose_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d1")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cStirrer2.bClose_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cStirrer3.bClose_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d3")
                {
                    bDelege_Operation = AllPond.cEastTransitPool.cStirrer4.bClose_Machine;
                }
                #endregion 
                #region 西中转池关映射
                else if (byControlID == 35 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cWestTransitPool.cSouthWater.bClose_Machine;
                }
                else if (byControlID == 35 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cWestTransitPool.cNorthWater.bClose_Machine;
                }
                else if (byControlID == 31 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cWestTransitPool.cPumb1.bClose_Machine;
                }
                else if (byControlID == 31 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cWestTransitPool.cPumb1.bClose_Machine;
                }
                #endregion
                #region 沉砂池关映射
                else if (byControlID == 90 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.cStirrer1.bClose_Machine;
                }
                else if (byControlID == 90 && strOperationChannelName[0] == "d5")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.cStirrer2.bClose_Machine;
                }
                else if (byControlID == 39 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.cPumb1.bClose_Machine;
                }
                else if (byControlID == 39 && strOperationChannelName[0] == "d5")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.cPumb2.bClose_Machine;
                }
                #endregion
                #region 出料池关映射
                #endregion
                #region 匀浆池关映射
                else if (byControlID == 31 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cSlurryPool.cPumb1.bClose_Machine;
                }
                else if (byControlID == 31 && strOperationChannelName[0] == "d1")
                {
                    bDelege_Operation = AllPond.cSlurryPool.cStirrer1.bClose_Machine;
                }
                #endregion
                #region 八角池关映射
                #endregion
                #region 中控柜关映射和手动映射
                #endregion  
                //else if (byControlID == 31 && strOperationChannelName[0] == "d1")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cSouthWater.bClose_Machine;
                //}
                //else if (byControlID == 16 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cNorthWater.bClose_Machine;
                //}
                //else if (byControlID == 16 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cPumb1.bClose_Machine;
                //}
                //else if (byControlID == 35 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cPumb2.bClose_Machine;
                //}
                //else if (byControlID == 35 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cStirrer1.bClose_Machine;
                //}
                //else if (byControlID == 39 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cStirrer2.bClose_Machine;
                //}
                //else if (byControlID == 39 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cStirrer3.bClose_Machine;
                //}
                else
                {
                    byMapIdleID = byControlID;
                    strMapIdleChannelName = strOperationChannelName;
                    byMapIdleControlData = bControlData;
                    bDelege_Operation = bMap_Idle_Close_Control;
                }
            }
            return bMapStatus;
        }
    }
#else
   public class ControlMap
    {
       public delegate  bool bDelege_Handle(bool[] bControlData);
       public static bDelege_Handle bDelege_Operation;
       public static byte           byMapIdleID;    
       public static bool[]         byMapIdleControlData;
       public static string[]       strMapIdleChannelName;
       public static bool bMap_Idle_Open_Control(bool[] bControldata)
       {
            bool[] bControlBit = new bool[bControldata.Count()];
            bool bStatus;
            bool bHadOperation;
            for (int i = 0; i < bControldata.Count(); i++)
            {
                string str = "d" + i.ToString();
                for (int j = 0; j < strMapIdleChannelName.Count(); j++)
                {
                    if (str == strMapIdleChannelName[j])
                    {
                        bControlBit[i]  = true;
                        bControldata[i] = byMapIdleControlData[i];
                    }
                }
            }
            bStatus = ModualControl.bOperation_Machine(true, byMapIdleID, bControldata, bControlBit,out bHadOperation, 0, null);
            return bStatus;
       }
        public static bool bMap_Idle_Close_Control(bool[] bControldata)
        {
            bool[] bControlBit = new bool[bControldata.Count()];
            bool bStatus;
            bool bHadOperation;
            for (int i = 0; i < bControldata.Count(); i++)
            {
                string str = "d" + i.ToString();
                for (int j = 0; j < strMapIdleChannelName.Count(); j++)
                {
                    if (str == strMapIdleChannelName[j])
                    {
                        bControlBit[i] =  true;
                        bControldata[i] = byMapIdleControlData[i];
                    }
                }
            }
            bStatus = ModualControl.bOperation_Machine(true, byMapIdleID, bControldata, bControlBit,out bHadOperation, 0, null);
            return bStatus;
        }
        public static bool bControl_Map(bool bOpen, byte byControlID,bool[] bControlData, params string[] strOperationChannelName)
        {
            bool bMapStatus = true;
            if (bOpen == true)
            {
                #region  东中转池开映射
                //if (byControlID == 4 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cSouthWater.bOpen_Machine;
                //}
                //else if (byControlID == 4 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cNorthWater.bOpen_Machine;
                //}
                //else if (byControlID == 20 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c6Pumb1.bOpen_Machine;
                //}
                //else if (byControlID == 20 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c4Pumb2.bOpen_Machine;
                //}
                //else if (byControlID == 5 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c2Stirrer1.bOpen_Machine;
                //}
                //else if (byControlID == 5 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c1Stirrer2.bOpen_Machine;
                //}
                //else if (byControlID == 20 && strOperationChannelName[0] == "d4")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c5Stirrer3.bOpen_Machine;
                //}
                //else if (byControlID == 41 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c7Stirrer4.bOpen_Machine;
                //}
                #endregion 
                #region 西中转池开映射
                //else if (byControlID == 49 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.cSouthWater.bOpen_Machine;
                //}
                //else if (byControlID == 49 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.cNorthWater.bOpen_Machine;
                //}
                //else if (byControlID == 37 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c6Pumb1.bOpen_Machine;
                //}
                //else if (byControlID == 8 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c2Stirrer1.bOpen_Machine;
                //}
                //else if (byControlID == 8 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c1Stirrer2.bOpen_Machine;
                //}
                //else if (byControlID == 37 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c5Stirrer3.bOpen_Machine;
                //}
                //else if (byControlID == 37 && strOperationChannelName[0] == "d4")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c4Stirrer4.bOpen_Machine;
                //}
                #endregion
                #region 出料池开映射
                 if (byControlID == 50 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cDischargePool.c2Pumb1.bOpen_Machine;
                }
                else if (byControlID == 50 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cDischargePool.c1Stirrer1.bOpen_Machine;
                }
                #endregion
                #region 匀浆池开映射
                else if (byControlID == 57 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cSlurryPool.c1Pumb1.bOpen_Machine;
                }
                else if (byControlID == 57 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cSlurryPool.c2Stirrer1.bOpen_Machine;
                }
                #endregion
                #region 沉砂池开映射
                else if (byControlID == 38 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c6Pumb1.bOpen_Machine;
                }
                else if (byControlID == 38 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c5Pumb2.bOpen_Machine;
                }
                else if (byControlID == 51 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c1Pumb3.bOpen_Machine;
                }
                else if (byControlID == 24 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c4Stirrer1.bOpen_Machine;
                }
                else if (byControlID == 24 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c3Stirrer2.bOpen_Machine;
                }
                else if (byControlID == 24 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c2Stirrer3.bOpen_Machine;
                }
                #endregion
                #region 八角池开映射
                else if (byControlID == 10 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c3Pumb1.bOpen_Machine;
                }
                else if (byControlID == 14 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c2Pumb2.bOpen_Machine;
                }
                else if (byControlID == 10 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c1Stirrer1.bOpen_Machine;
                }
                else if (byControlID == 46 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c4Stirrer2.bOpen_Machine;
                }
                else if (byControlID == 52 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c6Stirrer3.bOpen_Machine;
                }
                #endregion
                #region 中控柜开映射和暂停映射
                //else if (byControlID == 47 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cCentralControlRoom.cStartButton1.bOpreation_Button;
                //}
                //else if (byControlID == 44 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cCentralControlRoom.cPauseButton1.bOpreation_Button;
                //}
                #endregion
                else
                { 
                    bMapStatus = false;
                }
            }
            else
            {
                #region 东中转池关映射
                //if (byControlID == 4 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cSouthWater.bClose_Machine;
                //}
                //else if (byControlID == 4 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.cNorthWater.bClose_Machine;
                //}
                //else if (byControlID == 20 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c6Pumb1.bClose_Machine;
                //}
                //else if (byControlID == 20 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c4Pumb2.bClose_Machine;
                //}
                //else if (byControlID == 5 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c2Stirrer1.bClose_Machine;
                //}
                //else if (byControlID == 5 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c1Stirrer2.bClose_Machine;
                //}
                //else if (byControlID == 20 && strOperationChannelName[0] == "d4")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c5Stirrer3.bClose_Machine;
                //}
                //else if (byControlID == 41 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cEastTransitPool.c7Stirrer4.bClose_Machine;
                //}
                #endregion 
                //#region 西中转池开映射
                //else if (byControlID == 49 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.cSouthWater.bClose_Machine;
                //}
                //else if (byControlID == 49 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.cNorthWater.bClose_Machine;
                //}
                //else if (byControlID == 37 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c6Pumb1.bClose_Machine;
                //}
                //else if (byControlID == 8 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c2Stirrer1.bClose_Machine;
                //}
                //else if (byControlID == 8 && strOperationChannelName[0] == "d2")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c1Stirrer2.bClose_Machine;
                //}
                //else if (byControlID == 37 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c5Stirrer3.bClose_Machine;
                //}
                //else if (byControlID == 37 && strOperationChannelName[0] == "d4")
                //{
                //    bDelege_Operation = AllPond.cWestTransitPool.c4Stirrer4.bClose_Machine;
                //}
                //#endregion
                #region 出料池关映射
                if (byControlID == 50 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cDischargePool.c2Pumb1.bClose_Machine;
                }
                else if (byControlID == 50 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cDischargePool.c1Stirrer1.bClose_Machine;
                }
                #endregion
                #region 匀浆池关映射
                else if (byControlID == 57 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cSlurryPool.c1Pumb1.bClose_Machine;
                }
                else if (byControlID == 57 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cSlurryPool.c2Stirrer1.bClose_Machine;
                }
                #endregion
                #region 沉砂池池关映射
                else if (byControlID == 38 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c6Pumb1.bClose_Machine;
                }
                else if (byControlID == 38 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c5Pumb2.bClose_Machine;
                }
                else if (byControlID == 51 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c1Pumb3.bClose_Machine;
                }
                else if (byControlID == 24 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c4Stirrer1.bClose_Machine;
                }
                else if (byControlID == 24 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c3Stirrer2.bClose_Machine;
                }
                else if (byControlID == 24 && strOperationChannelName[0] == "d4")
                {
                    bDelege_Operation = AllPond.cDesiltingPool.c2Stirrer3.bClose_Machine;
                }
                #endregion
                #region 八角池关映射
                else if (byControlID == 10 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c3Pumb1.bClose_Machine;
                }
                else if (byControlID == 14 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c2Pumb2.bClose_Machine;
                }
                else if (byControlID == 10 && strOperationChannelName[0] == "d2")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c1Stirrer1.bClose_Machine;
                }
                else if (byControlID == 46 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c4Stirrer2.bClose_Machine;
                }
                else if (byControlID == 52 && strOperationChannelName[0] == "d0")
                {
                    bDelege_Operation = AllPond.cOctagonalPool.c6Stirrer3.bClose_Machine;
                }
                #endregion
                #region 中控柜关映射和手动映射
                //else if (byControlID == 47 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cCentralControlRoom.cStopButton1.bOpreation_Button;
                //}
                //else if (byControlID == 44 && strOperationChannelName[0] == "d0")
                //{
                //    bDelege_Operation = AllPond.cCentralControlRoom.cHandButton1.bOpreation_Button;
                //}                
                #endregion
                else
                {
                    bMapStatus = false;
                }
            }
            return bMapStatus;
        }
   }
#endif
}
